export declare class AtajoXDatabase {
    /**
     * Initiates database
     *
     * @returns {Promise<any>}
     */
    init(): Promise<{}>;
    /**
     * Deletes table completely
     *
     * @param {string} table
     * @returns {Promise<any>}
     */
    nuke(table: string): Promise<{}>;
    /**
     * Get data from table
     *
     * @param {string} table
     * @param {string} where
     * @returns {Promise<any>}
     */
    get(table: string, where?: string): Promise<{}>;
    /**
     * Create new table
     *
     * @param {string} table
     * @param {Array<any>} columns
     * @returns {Promise<any>}
     */
    create(table: string, columns: Array<any>): Promise<{}>;
    /**
     * Save data to table
     *
     * @param {string} table
     * @param values
     * @returns {Promise<any>}
     */
    set(table: string, values: any): Promise<{}>;
    /**
     * Remove record(s) from table
     *
     * @param {string} table
     * @param {string} where
     * @returns {Promise<any>}
     */
    remove(table: string, where?: string): Promise<{}>;
    /**
     * Returns the row count
     *
     * @param {string} table
     * @param {string} where
     * @returns {Promise<any>}
     */
    count(table: string, where?: string): Promise<{}>;
    /**
     * Updates row(s) in table
     *
     * @param {string} table
     * @param values
     * @param where
     * @returns {Promise<any>}
     */
    update(table: string, values: any, where?: any): Promise<{}>;
    /**
     * Adds a column to database
     *
     * @param {string} table
     * @param {any} column
     * @returns {Promise<any>}
     */
    addColumn(table: string, column: any): Promise<{}>;
}
export declare let atajoXDatabase: AtajoXDatabase;
