'use strict';
import { atajoXSocket } from './socket';
import { atajoXConfig } from "../config/config";
describe('Socket', function () {
    it('should create a class', function () {
        expect(atajoXSocket).toBeDefined();
    });
    it('should start with a disconnected socket', function () {
        expect(atajoXSocket.isConnected()).toBeFalsy();
    });
    it('should be able to connect to socket', function (done) {
        spyOn(localStorage, 'getItem').and.callFake(function (key) {
            if (key === 'atajo.app.config') {
                var fakeState = atajoXConfig.STATE;
                fakeState.domain = 'atajox';
                return JSON.stringify(fakeState);
            }
            return null;
        });
        atajoXSocket.connect().then(function () {
            expect(atajoXSocket.isConnected()).toBeTruthy();
            done();
        }, function () {
            done();
            fail('Should connect to socket');
        });
    });
});
//# sourceMappingURL=socket.spec.js.map